## Chrome Dev Editor - a developer preview

Chrome Dev Editor (CDE) is a developer tool for building apps on the Chrome platform - [Chrome Apps](https://developer.chrome.com/apps/about_apps) and Web Apps, in JavaScript or [Dart](https://www.dartlang.org/). CDE is built as a Chrome App written in Dart and uses Polymer. CDE runs on Windows, Mac, Linux, and Chrome OS! CDE supports Git, [Polymer](http://www.polymer-project.org/), and mobile development.

<a href="#">
<img src="https://raw.githubusercontent.com/dart-lang/spark/master/doc/1px.png" width="220" height="0">
</a>
<a target="_blank" href="https://chrome.google.com/webstore/detail/spark/pnoffddplpippgcfjdhbmhkofpnaalpg">
<img src="https://raw.githubusercontent.com/dart-lang/spark/master/doc/install-button.png">
</a>

**Note**: This is a developer preview version of CDE. We're actively working on CDE to add features based on your feedback!

![Screenshot](https://raw.githubusercontent.com/dart-lang/spark/master/doc/screenshot1.png)

### Get Started

You can [learn more](doc/GettingStarted.md) about CDE workflows including Chrome Apps (including Mobile), Web Apps (JavaScript and Dart), Polymer and Git.

### Google I/O 2014

Check out our [I/O talk](https://www.youtube.com/watch?v=NNLnTz6yIc4) about building apps on the Chrome platform and how we built CDE. You can also try out the [I/O codelabs](http://io2014codelabs.appspot.com/static/index.html) that use the Chrome Dev Editor.

### FAQ

Read our [FAQ](doc/FAQ.md) to find out about CDE features, what’s coming up and more! 

### Send Feedback

We'd love to hear from you! Join our [G+ community](http://bit.ly/cdeusers) or [Mailing List](https://groups.google.com/a/chromium.org/forum/?hl=en#!forum/chromium-cde) to discuss your experiences with CDE. If you encounter a bug, or would like to see a new feature in CDE, file it as an issue with this [format](https://github.com/dart-lang/chromedeveditor/wiki/Reporting-a-problem) on our [GitHub issue tracker](https://github.com/dart-lang/spark/issues/new).
